<?php
// functions called on initialization of the plugin
// Add the menu items 
function eventy_menu() {  
  $menu=add_menu_page('Eventy', 'Eventy', "manage_options", "eventy_menu", 'eventy_options');    
  add_submenu_page("eventy_menu",'Manage Events', 'Manage Events', "manage_options", "eventy_events_index", "eventy_events_index");  
}

// registers eventy post type
function register_eventy_type()
{
	$args=array(
		"label" => "Event Calendars",
		"labels" => array
			(
				"name"=>"Event Calendars", 
				"singular_name"=>"Event Calendars",
				"add_new_item"=>"Add New Calendar"
			),
		"public"=> true,
		"rewrite"=> array("slug"=>"eventy"),
		"description"=>"This will create an event calendar with your events.",
		"supports"=>array("title"),
		"taxonomies"=>array("category"),
		"show_in_nav_menus"=>true,
		"register_meta_box_cb"=>array("Eventy","meta_boxes")
	);
	register_post_type( 'eventy_calendar', $args );
}

// add the CSS and JS
function eventy_scripts()
{
	// CSS
	wp_register_style( 'eventy-css', plugins_url('eventy/css/eventy.css'));
   wp_enqueue_style( 'eventy-css' );
   
   wp_register_style( 'thickbox-css', includes_url('js/thickbox/thickbox.css'));
   wp_enqueue_style( 'thickbox-css' );
   
   // jQuery and Thickbox
   wp_enqueue_script('jquery');
   wp_enqueue_script('thickbox');
	
	// Eventy's own Javascript
	wp_enqueue_script(
			'eventy-common',
			plugins_url().'/eventy/js/common.js',
			false,
			'1.0.0',
			true
	);
	
	// jQuery Validator
	wp_enqueue_script(
			'jquery-validator',
			'http://ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.min.js',
			false,
			'1.0.0',
			true
	);
}