<?php
/*
Plugin Name: Eventy
Plugin URI: http://pimteam.net/wp-eventy/free.html
Description: This is a quick Ajax based events calendar
Author: Bobby Handzhiev
Version: 1.1
Author URI: http://pimteam.net/
*/ 

/*  Copyright 2012  Bobby Handzhiev (email : admin@pimteam.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

define( 'EVENTY_PATH', dirname( __FILE__ ) );
$events_table = $wpdb->prefix. "eve_events";

// require controllers
require(EVENTY_PATH."/controllers/events.php");
require(EVENTY_PATH."/controllers/options.php");
require(EVENTY_PATH."/controllers/install.php");
require(EVENTY_PATH."/controllers/init.php");
require(EVENTY_PATH."/controllers/display.php");
require(EVENTY_PATH."/models/calendar.php");
require(EVENTY_PATH."/models/eventy.php");

register_activation_hook(__FILE__,'eventy_activate');
add_action('admin_menu', 'eventy_menu');
add_action('admin_enqueue_scripts', 'eventy_scripts');
add_action('init', 'register_eventy_type');

// show calendar on front-end
add_action("template_redirect", 'eventy_template_redirect');
add_action( 'wp_enqueue_scripts', 'eventy_scripts' );