function showEventForm(eid)
{
	evt=null;
	if(eid) evt=events[eid];	
	
	if(eid && evt['id'])
	{
		// pre-fill the form
		jQuery("#eventForm input[name=id]").val(eid);
		jQuery("#eventForm input[name=save]").val("1");
		jQuery("#eventForm input[name=add]").val("");
		jQuery("#eventForm input[name=title]").val(stripslashes(evt['title']));
		jQuery("#eventForm textarea[name=description]").val(stripslashes(evt['description']));
		jQuery("#eventForm select[name=from_hour]").val(evt['from_hour']);
		jQuery("#eventForm select[name=to_hour]").val(evt['to_hour']);
		jQuery("#delBtn").show();
	}	
	else
	{
		// clean-up the form
		jQuery("#eventForm input[name=id]").val('');
		jQuery("#eventForm input[name=save]").val("");
		jQuery("#eventForm input[name=add]").val("1");
		jQuery("#eventForm input[name=title]").val('');
		jQuery("#eventForm textarea[name=description]").val('');
		jQuery("#eventForm select[name=from_hour]").val('');
		jQuery("#eventForm select[name=to_hour]").val('');
		jQuery("#delBtn").hide();
	}
}

function confirmDelete(frm)
{
	if(confirm("Are you sure?"))
	{
		frm.del.value=1;
		frm.submit();
	}
}

function stripslashes(str) {
	str=str.replace(/\\'/g,'\'');
	str=str.replace(/\\"/g,'"');
	str=str.replace(/\\0/g,'\0');
	str=str.replace(/\\\\/g,'\\');
	return str;
}

// shows details of an event
// events is a global var output on the page
function loadEventDetails(eid)
{
	// find this event from global events va
	var event=events[eid];	
	
	// fill in content in the div
	var html="<h1 style='font-size:16pt;font-weight:bold;margin-bottom:10px;'>"+event['title']+"</h1>";
	html+="<p><b>"+event['from_hour']+" - "+ event['to_hour']+"</b></p>";
	html+=stripslashes(event['description']);
	jQuery("#eventyEventContent").html(html);		
}