<div class="wrap">

	<h1><?php echo _("Manage Events")?></h1>
	
	<div class="postbox-container" style="width:73%;margin-right:2%;">
	
		<form method="post" class="wp-admin">
			<div><label><?=_("Please select date")?>:</label> <select name="month">
			<?php foreach($months as $key=>$month):?>
				<option value="<?=$key?>" <?php if($key==$parts[1]) echo "selected"?>><?php echo _($month)?></option>
			<?php endforeach;?>
			</select> / <select name="day">
			<?php for($i=1;$i<=31;$i++):?>
				<option value="<?=$i?>" <?php if($i==$parts[2]) echo "selected"?>><?php echo $i?></option>
			<?php endfor;?>	
			</select> /
			<select name="year">
			<?php for($i=$start_year;$i<=$end_year;$i++):?>
				<option value="<?php echo $i?>" <?php if($i==$parts[0]) echo "selected"?>><?php echo $i?></option>
			<?php endfor;?>
			</select>
			<input type="submit" value="<?php echo _('Change date')?>"></div>
		</form>
		
		<p><a href="#TB_inline?height=120&width=500&inlineId=eventFormBox&modal=true" onclick="showEventForm('');" class="thickbox"><?=_("Click here to create an event")?></a></p>
		
		<div id="eventFormBox" style="display:none;width:500px;padding:5px;" class="postbox wp-admin">
			<form method="post" id="eventForm">
				<input type="hidden" name="day" value="<?=$parts[2]?>">
				<input type="hidden" name="month" value="<?=$parts[1]?>">
				<input type="hidden" name="year" value="<?=$parts[0]?>">
				<input type="hidden" name="id" value="">
				<input type="hidden" name="del" value="">
				<input type="hidden" name="save" value="">
				<input type="hidden" name="add" value="">
				<h3> <?=_("Event Title")?>:</h3> 
				<div class="inside"><input type="text" name="title" size="60" class="required"></div>
				
				<h3> <?php echo _("Event Description")?>:</h3> 
				<div class="inside"><textarea name="description" rows="5" cols="52"></textarea></div>
				
				<h3> <?php echo _("Event Duration")?>:</h3> 
				<div class="inside"><?php echo _("From:")?> <select name="from_hour">
				<?php foreach($hours as $hour):?>
					<option value="<?=$hour?>"><?php echo _($hour)?></option>
				<?php endforeach;?>
				</select> To <select name="to_hour">
				<?php foreach($hours as $hour):?>
					<option value="<?=$hour?>"><?php echo _($hour)?></option>
				<?php endforeach;?>
				</select></div>		
				<div><p align="center"><input type="submit" name="sbm" value="<?=_('Save Event')?>">
				<input id="delBtn" type="button" value="<?=_('Delete Event')?>" onclick="confirmDelete(this.form);" style="display:none;">
				<input type="button" value="<?php echo _("Cancel")?>" onclick="tb_remove();"></p></div>
			</form>
		</div>
		
		<?php if(sizeof($events)):?>
			<table class="widefat">
			<tr><th><?=_("Event Title &amp; Description")?></th><th><?php echo _("From/To")?></th><th><?php echo _("Edit")?></th></tr>
			<?php foreach($events as $event):?>
				<tr><td><p><strong><?php echo $event->title?></strong></p>
				<?php if(!empty($event->description)) echo stripslashes($event->description);?></td>
				<td><?=$event->from_hour?> - <?=$event->to_hour?></td>
				<td><a href="#TB_inline?height=120&width=500&inlineId=eventFormBox&modal=true" class="thickbox" onclick="showEventForm(<?=$event->id?>);"><?php echo _("Edit")?></a></td></tr>
			<?php endforeach;?>
			</table>
			
			<script type="text/javascript" >
			var events={
				<?php foreach($events as $event):?>
				<?=$event->id?>: {id: <?=$event->id?>, title: <?=json_encode($event->title)?>, description: <?=json_encode($event->description)?>,
					"from_hour": "<?=$event->from_hour?>", "to_hour":"<?=$event->to_hour?>"},
				<?php endforeach;?>
			};
			</script>
		<?php else:?>
			<p><strong><?php echo _("There are no events on this date yet.")?></strong></p>
		<?php endif;?>
	</div>
	
	<div id="eventy-sidebar">
			<?php require(EVENTY_PATH."/views/sidebar.php");?>
	</div>
</div>	

<script type="text/javascript" >
jQuery(function(){
	jQuery("#eventForm").validate();
});
</script>